From 270306adff36d06e3fe9e91f861a0d0e768738cd Mon Sep 17 00:00:00 2001
From: David Fuhrmann <david.fuhrmann@googlemail.com>
Date: Fri, 27 Jan 2012 14:36:02 +0100
Subject: [PATCH 5/5] macosx: change volume slider range in simple prefs to 0
 ... 200%

also make sure that the value in the text field beneath is always right, trailed with an percent
and the value is also saved when this text field has the focus
---
 .../macosx/Resources/English.lproj/Preferences.xib |  236 +++++++++++---------
 modules/gui/macosx/simple_prefs.m                  |    8 +-
 2 files changed, 136 insertions(+), 108 deletions(-)

diff --git a/extras/package/macosx/Resources/English.lproj/Preferences.xib b/extras/package/macosx/Resources/English.lproj/Preferences.xib
index be3d21a..a30b3ee 100644
--- a/extras/package/macosx/Resources/English.lproj/Preferences.xib
+++ b/extras/package/macosx/Resources/English.lproj/Preferences.xib
@@ -12,7 +12,8 @@
     </object>
     <object class="NSMutableArray" key="IBDocument.EditedObjectIDs">
       <bool key="EncodedWithXMLCoder">YES</bool>
-      <integer value="2563"/>
+      <integer value="2585"/>
+      <integer value="2330"/>
       <integer value="2265"/>
     </object>
     <object class="NSArray" key="IBDocument.PluginDependencies">
@@ -1029,7 +1030,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
             <int key="NSvFlags">256</int>
             <string key="NSFrame">{{18, 366}, {246, 18}}</string>
             <reference key="NSSuperview" ref="1030708865"/>
-            <reference key="NSWindow"/>
             <bool key="NSEnabled">YES</bool>
             <object class="NSButtonCell" key="NSCell" id="771203121">
               <int key="NSCellFlags">67239424</int>
@@ -1062,7 +1062,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{9, 107}, {181, 17}}</string>
                     <reference key="NSSuperview" ref="830950655"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="659063941">
                       <int key="NSCellFlags">67239424</int>
@@ -1079,7 +1078,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{250, 102}, {198, 21}}</string>
                     <reference key="NSSuperview" ref="830950655"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSSliderCell" key="NSCell" id="180260830">
                       <int key="NSCellFlags">67239424</int>
@@ -1093,9 +1091,9 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                         <int key="NSfFlags">16</int>
                       </object>
                       <reference key="NSControlView" ref="581694147"/>
-                      <double key="NSMaxValue">512</double>
+                      <double key="NSMaxValue">200</double>
                       <double key="NSMinValue">0.0</double>
-                      <double key="NSValue">256</double>
+                      <double key="NSValue">100</double>
                       <double key="NSAltIncValue">0.0</double>
                       <int key="NSNumberOfTickMarks">0</int>
                       <int key="NSTickMarkPosition">1</int>
@@ -1108,7 +1106,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{465, 104}, {46, 22}}</string>
                     <reference key="NSSuperview" ref="830950655"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="996375599">
                       <int key="NSCellFlags">-1804468671</int>
@@ -1122,15 +1119,105 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                         <bytes key="NS.mantissa">BQAAAAAAAAAAAAAAAAAAAA</bytes>
                       </object>
                       <reference key="NSSupport" ref="96267115"/>
+                      <object class="NSNumberFormatter" key="NSFormatter" id="535507642">
+                        <object class="NSMutableDictionary" key="NS.attributes">
+                          <bool key="EncodedWithXMLCoder">YES</bool>
+                          <object class="NSArray" key="dict.sortedKeys">
+                            <bool key="EncodedWithXMLCoder">YES</bool>
+                            <string>allowsFloats</string>
+                            <string>attributedStringForZero</string>
+                            <string>formatterBehavior</string>
+                            <string>groupingSeparator</string>
+                            <string>lenient</string>
+                            <string>maximum</string>
+                            <string>minimum</string>
+                            <string>negativeFormat</string>
+                            <string>negativeInfinitySymbol</string>
+                            <string>nilSymbol</string>
+                            <string>numberStyle</string>
+                            <string>positiveFormat</string>
+                            <string>positiveInfinitySymbol</string>
+                            <string>usesGroupingSeparator</string>
+                          </object>
+                          <object class="NSMutableArray" key="dict.values">
+                            <bool key="EncodedWithXMLCoder">YES</bool>
+                            <boolean value="YES"/>
+                            <object class="NSAttributedString" id="628121026">
+                              <string key="NSString">0%</string>
+                              <object class="NSDictionary" key="NSAttributes">
+                                <bool key="EncodedWithXMLCoder">YES</bool>
+                                <object class="NSArray" key="dict.sortedKeys">
+                                  <bool key="EncodedWithXMLCoder">YES</bool>
+                                  <string>NSColor</string>
+                                  <string>NSFont</string>
+                                  <string>NSOriginalFont</string>
+                                  <string>NSParagraphStyle</string>
+                                </object>
+                                <object class="NSMutableArray" key="dict.values">
+                                  <bool key="EncodedWithXMLCoder">YES</bool>
+                                  <object class="NSColor" id="292380699">
+                                    <int key="NSColorSpace">6</int>
+                                    <string key="NSCatalogName">System</string>
+                                    <string key="NSColorName">textColor</string>
+                                    <reference key="NSColor" ref="510668496"/>
+                                  </object>
+                                  <reference ref="26"/>
+                                  <reference ref="26"/>
+                                  <object class="NSMutableParagraphStyle">
+                                    <int key="NSAlignment">4</int>
+                                    <int key="NSLineBreakMode">2</int>
+                                    <nil key="NSTabStops"/>
+                                  </object>
+                                </object>
+                              </object>
+                            </object>
+                            <integer value="1000"/>
+                            <string>,</string>
+                            <boolean value="NO"/>
+                            <real value="200"/>
+                            <real value="0.0"/>
+                            <string>-0%</string>
+                            <string>-∞</string>
+                            <string/>
+                            <integer value="1"/>
+                            <string>0%</string>
+                            <string>+∞</string>
+                            <boolean value="NO"/>
+                          </object>
+                        </object>
+                        <string key="NS.positiveformat">0%</string>
+                        <string key="NS.negativeformat">-0%</string>
+                        <nil key="NS.positiveattrs"/>
+                        <nil key="NS.negativeattrs"/>
+                        <reference key="NS.zero" ref="628121026"/>
+                        <object class="NSAttributedString" key="NS.nil">
+                          <string key="NSString"/>
+                        </object>
+                        <object class="NSAttributedString" key="NS.nan">
+                          <string key="NSString">NaN</string>
+                          <object class="NSDictionary" key="NSAttributes" id="691707216">
+                            <bool key="EncodedWithXMLCoder">YES</bool>
+                            <object class="NSArray" key="dict.sortedKeys" id="0">
+                              <bool key="EncodedWithXMLCoder">YES</bool>
+                            </object>
+                            <object class="NSMutableArray" key="dict.values">
+                              <bool key="EncodedWithXMLCoder">YES</bool>
+                            </object>
+                          </object>
+                        </object>
+                        <real value="0.0" key="NS.min"/>
+                        <real value="200" key="NS.max"/>
+                        <nil key="NS.rounding"/>
+                        <string key="NS.decimal">.</string>
+                        <string key="NS.thousand">,</string>
+                        <bool key="NS.hasthousands">NO</bool>
+                        <bool key="NS.localized">YES</bool>
+                        <bool key="NS.allowsfloats">YES</bool>
+                      </object>
                       <reference key="NSControlView" ref="307740745"/>
                       <bool key="NSDrawsBackground">YES</bool>
                       <reference key="NSBackgroundColor" ref="122952243"/>
-                      <object class="NSColor" key="NSTextColor" id="292380699">
-                        <int key="NSColorSpace">6</int>
-                        <string key="NSCatalogName">System</string>
-                        <string key="NSColorName">textColor</string>
-                        <reference key="NSColor" ref="510668496"/>
-                      </object>
+                      <reference key="NSTextColor" ref="292380699"/>
                     </object>
                   </object>
                   <object class="NSButton" id="895998750">
@@ -1138,7 +1225,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{10, 77}, {446, 18}}</string>
                     <reference key="NSSuperview" ref="830950655"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="296385450">
                       <int key="NSCellFlags">67239424</int>
@@ -1161,7 +1247,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{9, 49}, {238, 17}}</string>
                     <reference key="NSSuperview" ref="830950655"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="817500630">
                       <int key="NSCellFlags">67239424</int>
@@ -1178,7 +1263,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{249, 43}, {185, 26}}</string>
                     <reference key="NSSuperview" ref="830950655"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSPopUpButtonCell" key="NSCell" id="325965286">
                       <int key="NSCellFlags">-2076049856</int>
@@ -1249,7 +1333,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{9, 14}, {238, 17}}</string>
                     <reference key="NSSuperview" ref="830950655"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="508139988">
                       <int key="NSCellFlags">67239424</int>
@@ -1266,7 +1349,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{252, 12}, {259, 22}}</string>
                     <reference key="NSSuperview" ref="830950655"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="879009110">
                       <int key="NSCellFlags">-1803944383</int>
@@ -1282,12 +1364,10 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{2, 2}, {531, 138}}</string>
                 <reference key="NSSuperview" ref="426339738"/>
-                <reference key="NSWindow"/>
               </object>
             </object>
             <string key="NSFrame">{{17, 205}, {535, 155}}</string>
             <reference key="NSSuperview" ref="1030708865"/>
-            <reference key="NSWindow"/>
             <string key="NSOffsets">{0, 0}</string>
             <object class="NSTextFieldCell" key="NSTitleCell">
               <int key="NSCellFlags">67239424</int>
@@ -1321,7 +1401,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{9, 14}, {238, 17}}</string>
                     <reference key="NSSuperview" ref="1026306433"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="636469135">
                       <int key="NSCellFlags">67239424</int>
@@ -1338,7 +1417,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{249, 9}, {185, 26}}</string>
                     <reference key="NSSuperview" ref="1026306433"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSPopUpButtonCell" key="NSCell" id="473294496">
                       <int key="NSCellFlags">-2076049856</int>
@@ -1407,12 +1485,10 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{2, 2}, {531, 43}}</string>
                 <reference key="NSSuperview" ref="376706301"/>
-                <reference key="NSWindow"/>
               </object>
             </object>
             <string key="NSFrame">{{17, 141}, {535, 60}}</string>
             <reference key="NSSuperview" ref="1030708865"/>
-            <reference key="NSWindow"/>
             <string key="NSOffsets">{0, 0}</string>
             <object class="NSTextFieldCell" key="NSTitleCell">
               <int key="NSCellFlags">67239424</int>
@@ -1446,7 +1522,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{14, 78}, {446, 18}}</string>
                     <reference key="NSSuperview" ref="766648432"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="652619151">
                       <int key="NSCellFlags">67239424</int>
@@ -1469,7 +1544,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{204, 50}, {307, 22}}</string>
                     <reference key="NSSuperview" ref="766648432"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="686683389">
                       <int key="NSCellFlags">-1267073471</int>
@@ -1487,7 +1561,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 20}, {186, 17}}</string>
                     <reference key="NSSuperview" ref="766648432"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="844982292">
                       <int key="NSCellFlags">67239424</int>
@@ -1504,7 +1577,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{204, 18}, {307, 22}}</string>
                     <reference key="NSSuperview" ref="766648432"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="655403659">
                       <int key="NSCellFlags">-1267073471</int>
@@ -1522,7 +1594,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 52}, {186, 17}}</string>
                     <reference key="NSSuperview" ref="766648432"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="126214203">
                       <int key="NSCellFlags">67239424</int>
@@ -1537,12 +1608,10 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{2, 2}, {531, 105}}</string>
                 <reference key="NSSuperview" ref="141205708"/>
-                <reference key="NSWindow"/>
               </object>
             </object>
             <string key="NSFrame">{{17, 15}, {535, 122}}</string>
             <reference key="NSSuperview" ref="1030708865"/>
-            <reference key="NSWindow"/>
             <string key="NSOffsets">{0, 0}</string>
             <object class="NSTextFieldCell" key="NSTitleCell">
               <int key="NSCellFlags">67239424</int>
@@ -1564,7 +1633,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
         </object>
         <string key="NSFrameSize">{569, 402}</string>
         <reference key="NSSuperview"/>
-        <reference key="NSWindow"/>
         <string key="NSClassName">NSView</string>
         <string key="NSExtension">NSResponder</string>
       </object>
@@ -1572,7 +1640,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
         <string key="NSClassName">VLCSimplePrefs</string>
       </object>
       <object class="NSCustomView" id="93793481">
-        <reference key="NSNextResponder"/>
+        <nil key="NSNextResponder"/>
         <int key="NSvFlags">256</int>
         <object class="NSMutableArray" key="NSSubviews">
           <bool key="EncodedWithXMLCoder">YES</bool>
@@ -1581,7 +1649,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
             <int key="NSvFlags">256</int>
             <string key="NSFrame">{{18, 311}, {352, 18}}</string>
             <reference key="NSSuperview" ref="93793481"/>
-            <reference key="NSWindow"/>
             <bool key="NSEnabled">YES</bool>
             <object class="NSButtonCell" key="NSCell" id="742440153">
               <int key="NSCellFlags">67239424</int>
@@ -1614,7 +1681,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{14, 82}, {248, 18}}</string>
                     <reference key="NSSuperview" ref="1033161365"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="276074995">
                       <int key="NSCellFlags">67239424</int>
@@ -1637,7 +1703,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{14, 107}, {248, 18}}</string>
                     <reference key="NSSuperview" ref="1033161365"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="186587822">
                       <int key="NSCellFlags">67239424</int>
@@ -1660,7 +1725,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{270, 107}, {248, 18}}</string>
                     <reference key="NSSuperview" ref="1033161365"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="870949400">
                       <int key="NSCellFlags">67239424</int>
@@ -1683,7 +1747,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{270, 82}, {248, 18}}</string>
                     <reference key="NSSuperview" ref="1033161365"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="981263787">
                       <int key="NSCellFlags">67239424</int>
@@ -1706,7 +1769,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{182, 35}, {258, 26}}</string>
                     <reference key="NSSuperview" ref="1033161365"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSPopUpButtonCell" key="NSCell" id="1046768495">
                       <int key="NSCellFlags">-2076049856</int>
@@ -1777,7 +1839,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 42}, {167, 17}}</string>
                     <reference key="NSSuperview" ref="1033161365"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="187019491">
                       <int key="NSCellFlags">67239424</int>
@@ -1794,7 +1855,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{182, 7}, {258, 26}}</string>
                     <reference key="NSSuperview" ref="1033161365"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSPopUpButtonCell" key="NSCell" id="22192994">
                       <int key="NSCellFlags">-2076049856</int>
@@ -1865,7 +1925,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 14}, {167, 17}}</string>
                     <reference key="NSSuperview" ref="1033161365"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="367279322">
                       <int key="NSCellFlags">67239424</int>
@@ -1880,12 +1939,10 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{2, 2}, {532, 134}}</string>
                 <reference key="NSSuperview" ref="41906812"/>
-                <reference key="NSWindow"/>
               </object>
             </object>
             <string key="NSFrame">{{17, 144}, {536, 151}}</string>
             <reference key="NSSuperview" ref="93793481"/>
-            <reference key="NSWindow"/>
             <string key="NSOffsets">{0, 0}</string>
             <object class="NSTextFieldCell" key="NSTitleCell">
               <int key="NSCellFlags">67239424</int>
@@ -1919,7 +1976,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{80, 67}, {305, 22}}</string>
                     <reference key="NSSuperview" ref="55664769"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="699641150">
                       <int key="NSCellFlags">-1803944383</int>
@@ -1937,7 +1993,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 70}, {62, 17}}</string>
                     <reference key="NSSuperview" ref="55664769"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="434000366">
                       <int key="NSCellFlags">67239424</int>
@@ -1954,7 +2009,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{387, 61}, {135, 32}}</string>
                     <reference key="NSSuperview" ref="55664769"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="663661774">
                       <int key="NSCellFlags">67239424</int>
@@ -1978,7 +2032,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{80, 40}, {209, 22}}</string>
                     <reference key="NSSuperview" ref="55664769"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="443397958">
                       <int key="NSCellFlags">-1803944383</int>
@@ -1996,7 +2049,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 43}, {62, 17}}</string>
                     <reference key="NSSuperview" ref="55664769"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="508540852">
                       <int key="NSCellFlags">67239424</int>
@@ -2013,7 +2065,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{295, 43}, {223, 18}}</string>
                     <reference key="NSSuperview" ref="55664769"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="628742555">
                       <int key="NSCellFlags">67239424</int>
@@ -2036,7 +2087,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 14}, {62, 17}}</string>
                     <reference key="NSSuperview" ref="55664769"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="951536946">
                       <int key="NSCellFlags">67239424</int>
@@ -2053,7 +2103,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{77, 8}, {215, 26}}</string>
                     <reference key="NSSuperview" ref="55664769"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSPopUpButtonCell" key="NSCell" id="928064593">
                       <int key="NSCellFlags">-2076049856</int>
@@ -2111,12 +2160,10 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{2, 2}, {532, 99}}</string>
                 <reference key="NSSuperview" ref="38593497"/>
-                <reference key="NSWindow"/>
               </object>
             </object>
             <string key="NSFrame">{{17, 16}, {536, 116}}</string>
             <reference key="NSSuperview" ref="93793481"/>
-            <reference key="NSWindow"/>
             <string key="NSOffsets">{0, 0}</string>
             <object class="NSTextFieldCell" key="NSTitleCell">
               <int key="NSCellFlags">67239424</int>
@@ -2137,13 +2184,11 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
           </object>
         </object>
         <string key="NSFrameSize">{570, 347}</string>
-        <reference key="NSSuperview"/>
-        <reference key="NSWindow"/>
         <string key="NSClassName">NSView</string>
         <string key="NSExtension">NSResponder</string>
       </object>
       <object class="NSCustomView" id="192213238">
-        <reference key="NSNextResponder"/>
+        <nil key="NSNextResponder"/>
         <int key="NSvFlags">256</int>
         <object class="NSMutableArray" key="NSSubviews">
           <bool key="EncodedWithXMLCoder">YES</bool>
@@ -2162,7 +2207,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{14, 9}, {304, 18}}</string>
                     <reference key="NSSuperview" ref="680982452"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="952868667">
                       <int key="NSCellFlags">67239424</int>
@@ -2183,12 +2227,10 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{2, 2}, {532, 36}}</string>
                 <reference key="NSSuperview" ref="392412363"/>
-                <reference key="NSWindow"/>
               </object>
             </object>
             <string key="NSFrame">{{17, 323}, {536, 53}}</string>
             <reference key="NSSuperview" ref="192213238"/>
-            <reference key="NSWindow"/>
             <string key="NSOffsets">{0, 0}</string>
             <object class="NSTextFieldCell" key="NSTitleCell">
               <int key="NSCellFlags">67239424</int>
@@ -2222,7 +2264,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 41}, {235, 17}}</string>
                     <reference key="NSSuperview" ref="493831356"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="553564411">
                       <int key="NSCellFlags">67239424</int>
@@ -2239,7 +2280,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{253, 39}, {259, 22}}</string>
                     <reference key="NSSuperview" ref="493831356"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="1035947274">
                       <int key="NSCellFlags">-1803944383</int>
@@ -2257,7 +2297,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 13}, {235, 17}}</string>
                     <reference key="NSSuperview" ref="493831356"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="19813379">
                       <int key="NSCellFlags">67239424</int>
@@ -2274,7 +2313,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{250, 7}, {265, 26}}</string>
                     <reference key="NSSuperview" ref="493831356"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSPopUpButtonCell" key="NSCell" id="1023114805">
                       <int key="NSCellFlags">-2076049856</int>
@@ -2357,12 +2395,10 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{2, 2}, {532, 70}}</string>
                 <reference key="NSSuperview" ref="435439901"/>
-                <reference key="NSWindow"/>
               </object>
             </object>
             <string key="NSFrame">{{17, 232}, {536, 87}}</string>
             <reference key="NSSuperview" ref="192213238"/>
-            <reference key="NSWindow"/>
             <string key="NSOffsets">{0, 0}</string>
             <object class="NSTextFieldCell" key="NSTitleCell">
               <int key="NSCellFlags">67239424</int>
@@ -2396,7 +2432,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{133, 165}, {252, 22}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="933237454">
                       <int key="NSCellFlags">-2072379839</int>
@@ -2414,7 +2449,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 167}, {62, 17}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="177547915">
                       <int key="NSCellFlags">67239424</int>
@@ -2431,7 +2465,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{387, 158}, {135, 32}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="89521751">
                       <int key="NSCellFlags">67239424</int>
@@ -2455,7 +2488,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{130, 133}, {258, 26}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSPopUpButtonCell" key="NSCell" id="522040469">
                       <int key="NSCellFlags">-2076049856</int>
@@ -2526,7 +2558,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 139}, {115, 17}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="215734954">
                       <int key="NSCellFlags">67239424</int>
@@ -2543,7 +2574,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{130, 103}, {258, 26}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSPopUpButtonCell" key="NSCell" id="25319268">
                       <int key="NSCellFlags">-2076049856</int>
@@ -2614,7 +2644,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 109}, {115, 17}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="12940531">
                       <int key="NSCellFlags">67239424</int>
@@ -2631,7 +2660,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{13, 80}, {181, 17}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="123399370">
                       <int key="NSCellFlags">67239424</int>
@@ -2648,7 +2676,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{131, 76}, {202, 21}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSSliderCell" key="NSCell" id="721739100">
                       <int key="NSCellFlags">67501824</int>
@@ -2673,7 +2700,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">268</int>
                     <string key="NSFrame">{{14, 13}, {504, 28}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="436232732">
                       <int key="NSCellFlags">67239424</int>
@@ -2690,7 +2716,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">256</int>
                     <string key="NSFrame">{{14, 53}, {304, 18}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSButtonCell" key="NSCell" id="275457062">
                       <int key="NSCellFlags">67239424</int>
@@ -2713,7 +2738,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <int key="NSvFlags">268</int>
                     <string key="NSFrame">{{339, 76}, {46, 22}}</string>
                     <reference key="NSSuperview" ref="1045304801"/>
-                    <reference key="NSWindow"/>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="928818136">
                       <int key="NSCellFlags">-1804468671</int>
@@ -2729,12 +2753,10 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{2, 2}, {532, 196}}</string>
                 <reference key="NSSuperview" ref="606736221"/>
-                <reference key="NSWindow"/>
               </object>
             </object>
             <string key="NSFrame">{{17, 15}, {536, 213}}</string>
             <reference key="NSSuperview" ref="192213238"/>
-            <reference key="NSWindow"/>
             <string key="NSOffsets">{0, 0}</string>
             <object class="NSTextFieldCell" key="NSTitleCell">
               <int key="NSCellFlags">67239424</int>
@@ -2755,8 +2777,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
           </object>
         </object>
         <string key="NSFrameSize">{570, 396}</string>
-        <reference key="NSSuperview"/>
-        <reference key="NSWindow"/>
         <object class="NSMutableString" key="NSClassName">
           <characters key="NS.bytes">NSView</characters>
         </object>
@@ -2961,15 +2981,8 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                     <bool key="NSEnabled">YES</bool>
                     <object class="NSTextFieldCell" key="NSCell" id="587285377">
                       <int key="NSCellFlags">-1803944383</int>
-                      <int key="NSCellFlags2">71304192</int>
-                      <object class="NSDecimalNumberPlaceholder" key="NSContents">
-                        <int key="NS.exponent">0</int>
-                        <int key="NS.length">1</int>
-                        <bool key="NS.negative">NO</bool>
-                        <bool key="NS.compact">YES</bool>
-                        <int key="NS.mantissa.bo">1</int>
-                        <bytes key="NS.mantissa">0gQAAAAAAAAAAAAAAAAAAA</bytes>
-                      </object>
+                      <int key="NSCellFlags2">-2076179456</int>
+                      <string key="NSContents">1234</string>
                       <reference key="NSSupport" ref="96267115"/>
                       <object class="NSNumberFormatter" key="NSFormatter" id="1038091378">
                         <object class="NSMutableDictionary" key="NS.attributes">
@@ -2993,15 +3006,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                             <boolean value="YES"/>
                             <object class="NSAttributedString" id="952500097">
                               <string key="NSString">0</string>
-                              <object class="NSDictionary" key="NSAttributes" id="672149009">
-                                <bool key="EncodedWithXMLCoder">YES</bool>
-                                <object class="NSArray" key="dict.sortedKeys" id="0">
-                                  <bool key="EncodedWithXMLCoder">YES</bool>
-                                </object>
-                                <object class="NSMutableArray" key="dict.values">
-                                  <bool key="EncodedWithXMLCoder">YES</bool>
-                                </object>
-                              </object>
+                              <reference key="NSAttributes" ref="691707216"/>
                             </object>
                             <string>.</string>
                             <integer value="1000"/>
@@ -3040,7 +3045,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                         </object>
                         <object class="NSAttributedString" key="NS.nan">
                           <string key="NSString">NaN</string>
-                          <reference key="NSAttributes" ref="672149009"/>
+                          <reference key="NSAttributes" ref="691707216"/>
                         </object>
                         <reference key="NS.min" ref="783613974"/>
                         <reference key="NS.max" ref="752074440"/>
@@ -3653,6 +3658,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{1, 17}, {528, 292}}</string>
                 <reference key="NSSuperview" ref="55018170"/>
+                <reference key="NSNextKeyView" ref="807091610"/>
                 <reference key="NSDocView" ref="807091610"/>
                 <reference key="NSBGColor" ref="307301608"/>
                 <int key="NScvFlags">4</int>
@@ -3685,6 +3691,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
                 </object>
                 <string key="NSFrame">{{1, 0}, {528, 17}}</string>
                 <reference key="NSSuperview" ref="55018170"/>
+                <reference key="NSNextKeyView" ref="626315533"/>
                 <reference key="NSDocView" ref="626315533"/>
                 <reference key="NSBGColor" ref="307301608"/>
                 <int key="NScvFlags">4</int>
@@ -3692,6 +3699,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
             </object>
             <string key="NSFrame">{{20, 60}, {530, 310}}</string>
             <reference key="NSSuperview" ref="48286561"/>
+            <reference key="NSNextKeyView" ref="326454567"/>
             <int key="NSsFlags">133682</int>
             <reference key="NSVScroller" ref="33266503"/>
             <reference key="NSHScroller" ref="690352000"/>
@@ -5567,6 +5575,14 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
           </object>
           <int key="connectionID">3661</int>
         </object>
+        <object class="IBConnectionRecord">
+          <object class="IBOutletConnection" key="connection">
+            <string key="label">delegate</string>
+            <reference key="source" ref="307740745"/>
+            <reference key="destination" ref="150917409"/>
+          </object>
+          <int key="connectionID">3662</int>
+        </object>
       </object>
       <object class="IBMutableOrderedSet" key="objectRecords">
         <object class="NSArray" key="orderedObjects">
@@ -6480,6 +6496,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
             <reference key="object" ref="996375599"/>
             <object class="NSMutableArray" key="children">
               <bool key="EncodedWithXMLCoder">YES</bool>
+              <reference ref="535507642"/>
             </object>
             <reference key="parent" ref="307740745"/>
           </object>
@@ -7872,6 +7889,11 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
             <reference key="object" ref="506770491"/>
             <reference key="parent" ref="424292142"/>
           </object>
+          <object class="IBObjectRecord">
+            <int key="objectID">3663</int>
+            <reference key="object" ref="535507642"/>
+            <reference key="parent" ref="996375599"/>
+          </object>
         </object>
       </object>
       <object class="NSMutableDictionary" key="flattenedProperties">
@@ -8419,6 +8441,9 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
           <string>3647.IBViewBoundsToFrameTransform</string>
           <string>3647.ImportedFromIB2</string>
           <string>3648.IBPluginDependency</string>
+          <string>3663.IBNumberFormatterBehaviorMetadataKey</string>
+          <string>3663.IBNumberFormatterLocalizesFormatMetadataKey</string>
+          <string>3663.IBPluginDependency</string>
         </object>
         <object class="NSMutableArray" key="dict.values">
           <bool key="EncodedWithXMLCoder">YES</bool>
@@ -8510,7 +8535,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
             <bytes key="NSTransformStruct">P4AAAL+AAABBkAAAw5KAAA</bytes>
           </object>
           <boolean value="YES"/>
-          <string>{{523, 254}, {569, 402}}</string>
+          <string>{{635, 561}, {569, 402}}</string>
           <string>com.apple.InterfaceBuilder.CocoaPlugin</string>
           <boolean value="YES"/>
           <string>com.apple.InterfaceBuilder.CocoaPlugin</string>
@@ -8735,7 +8760,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
           <boolean value="YES"/>
           <string>com.apple.InterfaceBuilder.CocoaPlugin</string>
           <boolean value="YES"/>
-          <string>{{322, 212}, {570, 456}}</string>
+          <string>{{461, 181}, {570, 456}}</string>
           <string>com.apple.InterfaceBuilder.CocoaPlugin</string>
           <boolean value="YES"/>
           <string>com.apple.InterfaceBuilder.CocoaPlugin</string>
@@ -9047,6 +9072,9 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
           </object>
           <boolean value="YES"/>
           <string>com.apple.InterfaceBuilder.CocoaPlugin</string>
+          <integer value="1000"/>
+          <boolean value="YES"/>
+          <string>com.apple.InterfaceBuilder.CocoaPlugin</string>
         </object>
       </object>
       <object class="NSMutableDictionary" key="unlocalizedProperties">
@@ -9065,7 +9093,7 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
         </object>
       </object>
       <nil key="sourceID"/>
-      <int key="maxID">3661</int>
+      <int key="maxID">3663</int>
     </object>
     <object class="IBClassDescriber" key="IBDocument.Classes">
       <object class="NSMutableArray" key="referencedPartialClassDescriptions">
diff --git a/modules/gui/macosx/simple_prefs.m b/modules/gui/macosx/simple_prefs.m
index fcdc1db..7da7742 100644
--- a/modules/gui/macosx/simple_prefs.m
+++ b/modules/gui/macosx/simple_prefs.m
@@ -29,6 +29,7 @@
 #import "prefs.h"
 #import <vlc_keys.h>
 #import <vlc_interface.h>
+#import <vlc_aout_intf.h>
 #import <vlc_dialog.h>
 #import <vlc_modules.h>
 #import <vlc_config_cat.h>
@@ -489,10 +490,9 @@ static inline char * __config_GetLabel( vlc_object_t *p_this, const char *psz_na
      ******************/
     [self setupButton: o_audio_enable_ckb forBoolValue: "audio"];
     i = config_GetInt( p_intf, "volume" );
-    [o_audio_vol_fld setToolTip: [NSString stringWithUTF8String: config_GetLabel( p_intf, "volume")]];
-    [o_audio_vol_fld setIntValue: i];
-    [o_audio_vol_sld setToolTip: [o_audio_vol_fld toolTip]];
+    i = i * 200 / AOUT_VOLUME_MAX;
     [o_audio_vol_sld setIntValue: i];
+    [o_audio_vol_fld setIntValue: i];
 
     [self setupButton: o_audio_spdif_ckb forBoolValue: "spdif"];
 
@@ -836,7 +836,7 @@ static inline void save_module_list( intf_thread_t * p_intf, id object, const ch
     if( b_audioSettingChanged )
     {
         config_PutInt( p_intf, "audio", [o_audio_enable_ckb state] );
-        config_PutInt( p_intf, "volume", [o_audio_vol_sld intValue]);
+        config_PutInt( p_intf, "volume", [o_audio_vol_fld intValue] * AOUT_VOLUME_MAX / 200 );
         config_PutInt( p_intf, "spdif", [o_audio_spdif_ckb state] );
 
         SaveIntList( o_audio_dolby_pop, "force-dolby-surround" );
-- 
1.7.5.4

